ModuleRCSFX's runningEffectName can only be "running”
10/19/2016 08:24 PM - JPLRepo

Status: Closed Start date: 09/18/2016
Severity: Low % Done: 100%
Assignee:

Category: Plugins/Add-Ons

Target version: 1.2.1

Version: 1.2.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Description

The effect associated with an ModuleRCSFX can only be named running, otherwise they are constantly on and not affected by the
state of the RCS.

Steps to replicate

1) edit a .cfg file of a part using ModuleRCSFX , like rcsBlockRV-105.cfg

2) rename running under EFFECTS to anything, like testeffect

3) change the line runningEffectName = running under MODULE>name = ModuleRCSFX to runningEffectName = testeffect
4) test the modified part ingame, see the fx beeing constantly on

Notes

On the ModuleEnginesFX, renaming the associated effect is working, in comparison to ModuleRCSFX. The problem described
herein is especially affecting modders that are building parts with both an ModuleRCSFX as well as an ModuleEnginesFX, like the
RCS Blocks of a Briz upper stage.

Tested under Windows, should affect more (any?) platform

Problem with runningEffectName being defined as private field.

History

#3 - 10/19/2016 08:30 PM - JPLRepo
- Status changed from New to Investigating

- % Done changed from 0 to 20

#4 - 10/20/2016 04:48 AM - JPLRepo
- Status changed from Investigating to Confirmed

- % Done changed from 20 to 10

#5 - 10/23/2016 09:29 PM - TriggerAu

- Category set to Plugins/Add-Ons

- Status changed from Confirmed to Being Worked On
- Assignee set to TriggerAu

- % Done changed from 10 to 30

#6 - 11/02/2016 06:21 AM - JPLRepo

- Status changed from Being Worked On to Ready to Test
- Assignee deleted (TriggerAu)

- Target version set to 1.2.1

- % Done changed from 30 to 80

#7 - 11/06/2016 07:40 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. Issue was resolved in KSP 1.2.1.
